summaryrefslogtreecommitdiffstats
path: root/java/jdk13/files
diff options
context:
space:
mode:
authorglewis <glewis@FreeBSD.org>2003-04-22 20:05:21 +0000
committerglewis <glewis@FreeBSD.org>2003-04-22 20:05:21 +0000
commit3287c334b27b72f3010dfd9b1b114f4b7e831846 (patch)
tree699c549f61fdc4449992d60c5cebc78872cbaf3d /java/jdk13/files
parentcfb89461d1869f452bf2079f55940a8d6cd0327b (diff)
downloadFreeBSD-ports-3287c334b27b72f3010dfd9b1b114f4b7e831846.zip
FreeBSD-ports-3287c334b27b72f3010dfd9b1b114f4b7e831846.tar.gz
. Fix the shell wrapper to cope with HotSpot and as a result remove the
warning that the Classic VM is unusable with HotSpot. Submitted by: Munehiro Matsuda <haro@h4.dion.ne.jp>
Diffstat (limited to 'java/jdk13/files')
-rw-r--r--java/jdk13/files/patch-java_wrapper_bsd.sh81
1 files changed, 81 insertions, 0 deletions
diff --git a/java/jdk13/files/patch-java_wrapper_bsd.sh b/java/jdk13/files/patch-java_wrapper_bsd.sh
new file mode 100644
index 0000000..0ca16b9
--- /dev/null
+++ b/java/jdk13/files/patch-java_wrapper_bsd.sh
@@ -0,0 +1,81 @@
+$FreeBSD$
+
+--- ../src/solaris/bin/java_wrapper_bsd.sh 1 Oct 2001 11:44:43 -0000 1.4
++++ ../src/solaris/bin/java_wrapper_bsd.sh 17 Apr 2003 15:07:23 -0000
+@@ -71,37 +71,56 @@
+ # Select vm type (if classic vm, also select thread type).
+ unset vmtype
+ unset ttype
++unset vmopt
+ DEFAULT_THREADS_FLAG=green
+-if [ "x$1" = "x-hotspot" ]; then
+- vmtype=hotspot
++if [ "x$1" = "x-client" ]; then
++ vmtype=client
+ ttype=native_threads
++ vmopt=-$vmtype
+ shift 1
+ else
+ if [ "x$1" = "x-classic" ]; then
+ vmtype=classic
+- ttype=${DEFAULT_THREADS_FLAG}_threads
++ if [ ${THREADS_FLAG:-${DEFAULT_THREADS_FLAG}} = native ]; then
++ ttype=native_threads
++ else
++ ttype=green_threads
++ fi
++ vmopt=-$vmtype
+ shift 1
+ else
+ if [ "x$1" = "x-green" ]; then
+ vmtype=classic
+ ttype=green_threads
++ vmopt=-$vmtype
+ shift 1
+ else
+ if [ "x$1" = "x-native" ]; then
+ vmtype=classic
+ ttype=native_threads
++ vmopt=-$vmtype
+ shift 1
+ else
+- if [ -d ${jre}/lib/${proc}/hotspot ]; then
+- vmtype=hotspot
++ if [ "x$1" = "x-server" ]; then
++ vmtype=server
+ ttype=native_threads
+- else
+- vmtype=classic
+- if [ ${THREADS_FLAG:-${DEFAULT_THREADS_FLAG}} = native ]
+- then
++ vmopt=-$vmtype
++ shift 1
++ else
++ if [ "x$1" = "x-hotspot" ]; then
++ vmtype=client
+ ttype=native_threads
+- else
+- ttype=green_threads
++ vmopt=-$vmtype
++ shift 1
++ else
++ vmtype=classic
++ if [ ${THREADS_FLAG:-${DEFAULT_THREADS_FLAG}} = native ]
++ then
++ ttype=native_threads
++ else
++ ttype=green_threads
++ fi
++ vmopt=-$vmtype
+ fi
+ fi
+ fi
+@@ -141,7 +160,7 @@
+ # Run.
+ if [ -x "$prog" ]
+ then
+- exec $DEBUG_PROG "$prog" "$@"
++ exec $DEBUG_PROG "$prog" "$vmopt" "$@"
+ else
+ echo >&2 "$progname was not found in ${prog}"
+ exit 1
OpenPOWER on IntegriCloud